Выставка eas build ios завершается ошибкой «Run fastline»

Я пытаюсь создать приложение для реагирования на Expo, в Android сборка проходит успешно, но в iOS не получается! Сбой в задаче Run fastline! Я сделал предварительную сборку npx expo -c; После этого я сделал eas build --platform ios; Единственное, что я изменил после предварительной сборки, это Podfile:

platform :ios, '13'

Потому что он показал мне ошибку, когда я пытался построить, он показал some pods require higher minimum deployment target

Логи из ЕАС:

› Compiling Pods/Pods-DigiCache » Pods-DigiCache-dummy.m

› Packaging Pods/Pods-DigiCache » libPods-DigiCache.a

    Run script build phase 'Start Packager' will be run during every build because it does not specify any outputs. To address this warning, either add output dependencies to the script phase, or configure it to run in every build by unchecking "Based on dependency analysis" in the script phase. (in target 'DigiCache' from project 'DigiCache')

    Run script build phase 'Bundle React Native code and images' will be run during every build because it does not specify any outputs. To address this warning, either add output dependencies to the script phase, or configure it to run in every build by unchecking "Based on dependency analysis" in the script phase. (in target 'DigiCache' from project 'DigiCache')

› Executing DigiCache » [CP] Check Pods Manifest.lock

› Executing DigiCache » Start Packager on http://localhost:8081

› Copying   ios/DigiCache/Supporting/Expo.plist ➜ ./Expo.plist

› Compiling DigiCache » SplashScreen.storyboard


❌  (ios/Pods/Target Support Files/Pods-DigiCache/ExpoModulesProvider.swift:9:8)

   7 | 
   8 | import ExpoModulesCore
>  9 | import ExpoAdapterGoogleSignIn
     |        ^ compiling for iOS 12.4, but module 'ExpoAdapterGoogleSignIn' has a minimum deployment target of iOS 13.0: /Users/expo/Library/Developer/Xcode/DerivedData/DigiCache-axahioyuepmdwlciofskhedyjxrl/Build/Intermediates.noindex/ArchiveIntermediates/DigiCache/BuildProductsPath/Release-iphoneos/ExpoAdapterGoogleSignIn/ExpoAdapterGoogleSignIn.swiftmodule/arm64-apple-ios.swiftmodule
  10 | import EASClient
  11 | import ExpoImagePicker
  12 | import ExpoKeepAwake

› Compiling DigiCache » noop-file.swift


❌  (ios/Pods/Target Support Files/Pods-DigiCache/ExpoModulesProvider.swift:9:8)

   7 | 
   8 | import ExpoModulesCore
>  9 | import ExpoAdapterGoogleSignIn
     |        ^ compiling for iOS 12.4, but module 'ExpoAdapterGoogleSignIn' has a minimum deployment target of iOS 13.0: /Users/expo/Library/Developer/Xcode/DerivedData/DigiCache-axahioyuepmdwlciofskhedyjxrl/Build/Intermediates.noindex/ArchiveIntermediates/DigiCache/BuildProductsPath/Release-iphoneos/ExpoAdapterGoogleSignIn/ExpoAdapterGoogleSignIn.swiftmodule/arm64-apple-ios.swiftmodule
  10 | import EASClient
  11 | import ExpoImagePicker
  12 | import ExpoKeepAwake

› Preparing DigiCache » Info.plist

› Compiling DigiCache » ExpoModulesProvider.swift


❌  (ios/Pods/Target Support Files/Pods-DigiCache/ExpoModulesProvider.swift:9:8)

   7 | 
   8 | import ExpoModulesCore
>  9 | import ExpoAdapterGoogleSignIn
     |        ^ compiling for iOS 12.4, but module 'ExpoAdapterGoogleSignIn' has a minimum deployment target of iOS 13.0: /Users/expo/Library/Developer/Xcode/DerivedData/DigiCache-axahioyuepmdwlciofskhedyjxrl/Build/Intermediates.noindex/ArchiveIntermediates/DigiCache/BuildProductsPath/Release-iphoneos/ExpoAdapterGoogleSignIn/ExpoAdapterGoogleSignIn.swiftmodule/arm64-apple-ios.swiftmodule
  10 | import EASClient
  11 | import ExpoImagePicker
  12 | import ExpoKeepAwake

    Run script build phase '[CP-User] Generate app.config for prebuilt Constants.manifest' will be run during every build because it does not specify any outputs. To address this warning, either add output dependencies to the script phase, or configure it to run in every build by unchecking "Based on dependency analysis" in the script phase. (in target 'EXConstants' from project 'Pods')

    Run script build phase '[CP-User] Generate app.manifest for expo-updates' will be run during every build because it does not specify any outputs. To address this warning, either add output dependencies to the script phase, or configure it to run in every build by unchecking "Based on dependency analysis" in the script phase. (in target 'EXUpdates' from project 'Pods')

▸ ** ARCHIVE FAILED **

▸ The following build commands failed:

▸   SwiftEmitModule normal arm64 Emitting\ module\ for\ DigiCache (in target 'DigiCache' from project 'DigiCache')

▸   CompileSwift normal arm64 /Users/expo/workingdir/build/ios/DigiCache/noop-file.swift (in target 'DigiCache' from project 'DigiCache')

▸   SwiftCompile normal arm64 Compiling\ ExpoModulesProvider.swift /Users/expo/workingdir/build/ios/Pods/Target\ Support\ Files/Pods-DigiCache/ExpoModulesProvider.swift (in target 'DigiCache' from project 'DigiCache')

▸   CompileSwift normal arm64 /Users/expo/workingdir/build/ios/Pods/Target\ Support\ Files/Pods-DigiCache/ExpoModulesProvider.swift (in target 'DigiCache' from project 'DigiCache')

▸ (4 failures)

** ARCHIVE FAILED **

The following build commands failed:

    SwiftEmitModule normal arm64 Emitting\ module\ for\ DigiCache (in target 'DigiCache' from project 'DigiCache')

    CompileSwift normal arm64 /Users/expo/workingdir/build/ios/DigiCache/noop-file.swift (in target 'DigiCache' from project 'DigiCache')

    SwiftCompile normal arm64 Compiling\ ExpoModulesProvider.swift /Users/expo/workingdir/build/ios/Pods/Target\ Support\ Files/Pods-DigiCache/ExpoModulesProvider.swift (in target 'DigiCache' from project 'DigiCache')

    CompileSwift normal arm64 /Users/expo/workingdir/build/ios/Pods/Target\ Support\ Files/Pods-DigiCache/ExpoModulesProvider.swift (in target 'DigiCache' from project 'DigiCache')

(4 failures)

Exit status: 65

+-------------+-------------------------+

|           Build environment           |

+-------------+-------------------------+

| xcode_path  | /Applications/Xcode.app |

| gym_version | 2.210.0                 |

| sdk         | iPhoneOS16.0.sdk        |

+-------------+-------------------------+

Looks like fastlane ran into a build/archive error with your project

It's hard to tell what's causing the error, so we wrote some guides on how

to troubleshoot build and signing issues: https://docs.fastlane.tools/codesigning/getting-started/

Before submitting an issue on GitHub, please follow the guide above and make

sure your project is set up correctly.

fastlane uses `xcodebuild` commands to generate your binary, you can see the

the full commands printed out in yellow in the above log.

Make sure to inspect the output above, as usually you'll find more error information there

[stderr] [!] Error building the application - see the log above

Error: Fastlane build failed with unknown error. See logs for the "Run fastlane" and "Xcode Logs" phases for more information.
Fastlane errors in most cases are not printed at the end of the output, so you may not find any useful information in the last lines of output when looking for an error message.
Как настроить Tailwind CSS с React.js и Next.js?
Как настроить Tailwind CSS с React.js и Next.js?
Tailwind CSS - единственный фреймворк, который, как я убедился, масштабируется в больших командах. Он легко настраивается, адаптируется к любому...
LeetCode запись решения 2536. Увеличение подматриц на единицу
LeetCode запись решения 2536. Увеличение подматриц на единицу
Увеличение подматриц на единицу - LeetCode
Переключение светлых/темных тем
Переключение светлых/темных тем
В Microsoft Training - Guided Project - Build a simple website with web pages, CSS files and JavaScript files, мы объясняем, как CSS можно...
Отношения "многие ко многим" в Laravel с методами присоединения и отсоединения
Отношения "многие ко многим" в Laravel с методами присоединения и отсоединения
Отношения "многие ко многим" в Laravel могут быть немного сложными, но с помощью Eloquent ORM и его моделей мы можем сделать это с легкостью. В этой...
В PHP
В PHP
В большой кодовой базе с множеством различных компонентов классы, функции и константы могут иметь одинаковые имена. Это может привести к путанице и...
Карта дорог Беладжар PHP Laravel
Карта дорог Беладжар PHP Laravel
Laravel - это PHP-фреймворк, разработанный для облегчения разработки веб-приложений. Laravel предоставляет различные функции, упрощающие разработку...
0
0
418
1
Перейти к ответу Данный вопрос помечен как решенный

Ответы 1

Ответ принят как подходящий

Вам также необходимо обновить это в вашем проекте xcode. если вы используете npx expo prebuild для создания своего проекта iOS, вы можете установить это с помощью expo-build-properties.

Да, я добавил плагин конфигурации expo-build-properties, и это сработало: D, спасибо: D

codeDevil 22.11.2022 09:21

Другие вопросы по теме

Похожие вопросы

Можно ли найти ipa-файл сборки flutter ios при использовании xcode 14.1
SwiftUI: закрытие действия .onOpenURL не обновляет свойство @State типа URL
Как расположить представление изображения профиля так, чтобы оно было закреплено рядом с именем пользователя вверху в организованном представлении стека?
Как реализовать 2 столбца представления стека с подвидом, равномерно занимающим горизонтальное пространство
Приложение IOS аварийно завершает работу с «необходимым условием является ложным: IsFormatSampleRateAndChannelCountValid(format)» при выборе микрофона
Подкласс UIControl - показывать UIMenu при нажатии
Как получать местоположение каждые 10 секунд, используя флаттер
Как создать эластичный заголовок для UICollectionViewCompositionalLayout с несколькими разделами?
EXC_BREAKPOINT на NSFetchedResultsController.performFetch() из-за -[CFString isNSString__]: сообщение отправлено в освобожденный экземпляр
Кнопка "Удалить текстовое поле"